﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.PointListDto>
@{
    ViewBag.Title = "TransferHistory";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">충전내역/ประวัติการเติมเงิน</h5>
                    </div>
                </div>
                <div class="card-body table-responsive">
                    <div style="min-width:1366px;max-width:100%; margin:auto;">
                        <div class="align-middle">
                            <span class="badge badge-primary badge-pill">전체 @ViewBag.Count 건</span>
                            <span class="badge badge-primary badge-pill">전체 합계 @ViewBag.Amount 점</span>
                            <div class="float-right">
                                @using (Html.BeginForm("ExportToExcel", "PointList", FormMethod.Post))
                                {
                                    <button type="submit" id="btnExport" style="margin-top:-10px;" class="btn btn-rounded btn-warning"><i class="icon-printer mr-2"></i> Export</button>
                                }
                            </div>
                        </div>
                        <div class="table-responsive m-b-30 mt-2">
                            <table class="table table-bordered">
                                <thead class="thead-dark">
                                    <tr class="text-center">
                                        <th class="align-middle" style="width:150px;">아이디 / รหัสสมาชิก</th>
                                        <th class="align-middle" style="width:200px;">이름 / ชื่อ</th>
                                        <th class="align-middle">내용 / หัวข้อ</th>
                                        <th class="align-middle" style="width:150px;">수수료금액 / จำนวนเเต้ม</th>
                                        <th class="align-middle" style="width:150px;">금액/ จำนวนเงิน</th>
                                        <th class="align-middle" style="width:170px;">날짜 / วันนที่</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (Model != null && Model.Count() != 0)
                                    {
                                        foreach (var item in Model)
                                        {
                                    <tr>
                                        <td> <a href="#" onclick="getSearch('@item.username')">@Html.DisplayFor(modelItem => item.username)</a></td>
                                        <td> @Html.DisplayFor(modelItem => item.fullname)</td>
                                        <td> @Html.DisplayFor(modelItem => item.name)</td>
                                        <td class=" text-right"> @Html.DisplayFor(modelItem => item.amount)</td>
                                        <td class=" text-right"> @Html.DisplayFor(modelItem => item.price)</td>
                                        <td class=" text-center"> @Html.DisplayFor(modelItem => item.create_date)</td>
                                    </tr>

                                        }
                                    }
                                    else
                                    {
                                        <tr class="text-center">
                                            <td colspan="8">
                                                No Data !!
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                            @{
                                if (Convert.ToInt32(ViewBag.Count) > ViewBag.Rows)
                                {
                                    <div class="justify-content-center row">

                                        @Html.PagedListPager(Model, Page => Url.Action("Index", "PointList", new { Page }))

                                    </div>
                                }
                            }
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>